Groovy Documentation

## groovy.transform
[Java] Enum TypeCheckingMode

    java.lang.Object
      java.lang.Enum
          groovy.transform.TypeCheckingMode

    public enum TypeCheckingMode
    extends java.lang.Enum

This enumeration can be used whenever it is preferred to annotate a class as TypeChecked in general, but where only one or more methods are "dynamic". This allows the user to annotate the class itself then annotate only the methods which require exclusion.

Authors:
  Cedric Champeau

Method Summary

Methods inherited from class java.lang.Enum

java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long), java.lang.Enum#wait(long, int), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation